#include "skse64/NiMaterial.h"
#include "skse64/GameAPI.h"
#include "skse64/GameObjects.h"

const _CreateShaderMaterial CreateShaderMaterial = (_CreateShaderMaterial)0x00000000;

/*
BSMaskedShaderMaterial * BSMaskedShaderMaterial::CreateFromLightingShader(BSLightingShaderMaterial * source)
{
	BSMaskedShaderMaterial * material = (BSMaskedShaderMaterial*)CreateShaderMaterial(BSMaskedShaderMaterial::kShaderType_FaceTint);
	if(material) {
		material->unk3C = source->unk3C;
		material->unk40 = source->unk40;
		material->unk44 = source->unk44;
		material->unk48 = source->unk48;
	}
	return material;
}
*/

void BSLightingShaderMaterial::SetTextureSet(BSTextureSet * newSet)
{
	textureSet = newSet;
}
